<html>
  <head>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="my.css">
  </head>
    <!-- c -->
    <body>
        <h1>WASM Experiments</h1>
        <h2>👋 Open the developer tools 😃</h2>
        <script> 
            // Load the wasm file
            WebAssembly.instantiateStreaming(fetch("main.wasm")) 
              .then(({ instance }) => {
                // foo
                console.log("📦 Wasm Module Instance", instance)
                const value = instance.exports.power(20, 5)
                console.log("🤖 value:", value)
                
              })
              .catch(error => {
                console.log("😡 ouch", error)
              })
            
        </script>
  </body>
</html>
